## octave-io 2.4.12

=== DESCRIPTION ===
Name: io
Version: 2.4.12
Date: 2018-10-28
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). UNO support experimental.
Depends: octave (>= 3.8.0)
Suggested: windows (>= 1.2.1); Java JRE (> 1.6)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --no-history --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
# html_options = --eval 'options = get_html_options ("octave-forge");' \
#                --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	--eval ' javaaddpath ("/usr/share/java/xercesImpl-2.11.0.jar"); ' \
	--eval ' javaaddpath ("/usr/share/java/xml-apis.jar"); ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-io (2.4.12-2) unstable; urgency=medium

  * Team upload.

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/t/control: Renamed from d/t/control.autodep8
  * d/s/lintian-overrides: Add override for Litian tag
    unnecessary-testsuite-autopkgtest-field

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:19 -0200

octave-io (2.4.12-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.4.12
  * d/copyright: reflect upstream changes
  * Combine auto-generated autopkgtests with manually specified ones.
    Add "Testsuite: autopkgtest-pkg-octave" and rename d/t/control to
    d/t/control.autodep8.

  [ Rafael Laboissiere ]
  * d/control: Add Rules-Requires-Root: no
  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 17 Nov 2018 10:06:46 +0100

=== debian/control ===
Source: octave-io
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
Homepage: https://octave.sourceforge.io/io/
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-io
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${octave:Depends}
Recommends: libreoffice-java-common,
            libreoffice-core,
            libjexcelapi-java,
            libapache-poi-java (>= 3.9-1~),
            unzip,
            libjopendocument-java,
            libxerces2-java,
            default-jre-headless
Description: input/output data functions for Octave
 This package provides functions to input/output data in different
 formats in Octave, a numerical computation software. It contains
 functions to add variables to existing save files (append_save), read
 and write matrixes to a text file (dlmwrite, csvread, csvwrite) and
 read Excel spreadsheet (xlsread) and OpenDocument spreadsheet (odsread).
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-io 2.4.13

=== DESCRIPTION ===
Name: io
Version: 2.4.13
Date: 2019-10-15
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). UNO support experimental.
Depends: octave (>= 4.0.0)
Suggested: windows (>= 1.2.1); Java JRE (> 1.6)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (2.4.13-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:09 +0100

octave-io (2.4.13-2) unstable; urgency=medium

  * Team upload.

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into the
    package's list of dependencies

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 06 Nov 2019 03:10:30 -0300

octave-io (2.4.13-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.4.13
  * d/copyright: reflect upstream changes
  * d/copyright: use correct license short name (FSFAP) for Makefile
  * Drop unused source override for autopkgtest field

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Oct 2019 23:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
+               dh-octave (>= 0.7.1)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
 Homepage: https://octave.sourceforge.io/io/

## octave-io 2.6.1

=== debian/changelog ===
octave-io (2.6.1-3) unstable; urgency=medium

  * Team upload.

  * d/p/commons-compress-unversioned.patc: Set Forwarded:not-needed

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:32:39 -0300

octave-io (2.6.1-2) unstable; urgency=medium

  * Team upload.

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibility level to 13
  * d/p/dbfread-big-endian.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 May 2020 04:43:55 -0300

octave-io (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Apr 2020 14:22:58 +0200

octave-io (2.6.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.6.0
  * d/copyright: reflect upstream changes
  * Documentation is now in a single HTML file
  * Adapt autopkgtest for deprecation of odsfinfo and odsread
  * commons-compress-unversioned.patch: new patch, needed for POI+OOXML interface

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Mar 2020 15:24:29 +0100

## octave-io 2.6.3

=== DESCRIPTION ===
Name: io
Version: 2.6.3
Date: 2020-11-02
Author: various authors
Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
Title: Input/Output
Description: Input/Output in external formats.
Categories: IO
Problems: Default initial Java memory probably too small, increase with java.opts (see documentation). UNO support experimental.
Depends: octave (>= 4.2.0)
Suggested: windows (>= 1.2.1); Java JRE (> 1.8)
Autoload: no
License: GPLv3+, simplified BSD
Url: http://octave.sf.net

=== debian/changelog ===
octave-io (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3
  * d/copyright: reflect upstream changes
  * bug59273.patch: drop patch, applied upstream
  * conditional-java.patch: new patch, avoids FTBFS when Octave lacks Java
    support or Java is not installed

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 04 Nov 2020 11:26:31 +0100

octave-io (2.6.2-2) unstable; urgency=medium

  * bug59273.patch: new patch from upstream, fixes the autopkgtests

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 22 Oct 2020 13:00:32 +0200

octave-io (2.6.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.6.2
  * d/p/dbfread-big-endian.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Oct 2020 04:32:46 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
 Homepage: https://octave.sourceforge.io/io/

## octave-io 2.6.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: io
-Version: 2.6.3
-Date: 2020-11-02
+Version: 2.6.4
+Date: 2021-12-30
 Author: various authors
 Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
 Title: Input/Output

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-## Copyright 2015-2016 Carnë Draug
-## Copyright 2015-2016 Oliver Heimlich
-## Copyright 2017 Julien Bect <jbect@users.sf.net>
-## Copyright 2017 Olaf Till <i7tiol@t-online.de>
+## Copyright 2015-2021 Carnë Draug
+## Copyright 2015-2021 Oliver Heimlich
+## Copyright 2017-2021 Julien Bect <jbect@users.sf.net>
+## Copyright 2017-2021 Olaf Till <i7tiol@t-online.de>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -147,8 +147,6 @@
 	$(RM) -r "$@";
 	$(run_in_place)                    \
         --eval ' pkg load generate_html; ' \
-	--eval ' javaaddpath ("/usr/share/java/xercesImpl-2.11.0.jar"); ' \
-	--eval ' javaaddpath ("/usr/share/java/xml-apis.jar"); ' \
 	$(html_options)                    \
         --eval ' generate_package_html ("$(package)", "$@", options); ';
 	$(FIX_PERMISSIONS) "$@";

=== src/Makefile ===
all: csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct col2num.oct num2col.oct

MKOCTFILE ?= mkoctfile
  
%.oct: %.cc
	$(MKOCTFILE) $<

clean:
	rm -f *.o octave-core core *.oct *.mex *~

=== debian/changelog ===
octave-io (2.6.4-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:29:24 +0000

octave-io (2.6.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Rafael Laboissière ]
  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/clean: Remove the *-tst leftover files
  * Set upstream metadata fields: Archive.

  [ Sébastien Villemot ]
  * New upstream version 2.6.4
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jan 2022 15:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
 Homepage: https://octave.sourceforge.io/io/
@@ -20,7 +20,7 @@
 Recommends: libreoffice-java-common,
             libreoffice-core,
             libjexcelapi-java,
-            libapache-poi-java (>= 3.9-1~),
+            libapache-poi-java,
             unzip,
             libjopendocument-java,
             libxerces2-java,

=== debian/tests/control ===
Tests: xls-default, xls-jxl, xls-poi, xlsx-default, xlsx-oct, xlsx-poi, ods-default, ods-jod, ods-oct, gnumeric-default
Depends: octave-io, default-jre-headless, libjexcelapi-java, libapache-poi-java, unzip, libjopendocument-java
Restrictions: allow-stderr # Needed for xlsx-default and xlsx-poi since move to Java 9, as of 2018-04-03

## octave-io 2.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: io
-Version: 2.6.4
-Date: 2021-12-30
+Version: 2.7.0
+Date: 2025-05-01
 Author: various authors
 Maintainer: Philip Nienhuis <prnienhuis@users.sf.net>
 Title: Input/Output

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-## Copyright 2015-2021 Carnë Draug
-## Copyright 2015-2021 Oliver Heimlich
-## Copyright 2017-2021 Julien Bect <jbect@users.sf.net>
-## Copyright 2017-2021 Olaf Till <i7tiol@t-online.de>
+## Copyright 2015-2025 Carnë Draug
+## Copyright 2015-2025 Oliver Heimlich
+## Copyright 2017-2025 Julien Bect <jbect@users.sf.net>
+## Copyright 2017-2025 Olaf Till <i7tiol@t-online.de>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright

=== doc/Makefile ===
## Makefile to simplify Octave Forge package maintenance tasks
##
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2015-2019 Mike Miller
## Copyright 2024 John Donoghue
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

MKOCTFILE ?= mkoctfile
OCTAVE    ?= octave
SED       := sed
SHA256SUM := sha256sum
TAR       := tar
MAKEINFO  ?= makeinfo
MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 

# work out a possible help generator
ifeq ($(strip $(QHELPGENERATOR)),)
  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qhelpgenerator-qt5
  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator-qt5
  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
  # v4 doesnt work
  #  QHELPGENERATOR = qhelpgenerator -qt5
  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator -qt5
  else
    QHELPGENERATOR = true
  endif
endif

PACKAGE := $(shell $(SED) -n -e 's/^Name: *\(\w\+\)/\1/p' ../DESCRIPTION)
VERSION := $(shell $(SED) -n -e 's/^Version: *\(\w\+\)/\1/p' ../DESCRIPTION)
DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' ../DESCRIPTION)
DEPENDS := $(shell $(SED) -n -e 's/^Depends[^,]*, *\(.*\)/\1/p' ../DESCRIPTION | $(SED) 's/ *([^()]*)//g; s/ *, */ /g')

BASEDIR ?= $(realpath $(CURDIR))

HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
HG_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(HG_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

RELEASE_DIR     := $(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(PACKAGE)-html
HTML_TARBALL    := $(PACKAGE)-html.tar.gz

.PHONY: doc clean maintainer-clean
.PHONY: build-docs cleandocs

help:
	@echo "Targets:"
	@echo "   doc              - Build Texinfo package manual"
	@echo
	@echo "   clean            - Remove releases, html documentation, and oct files"
	@echo "   maintainer-clean - Additionally remove all generated files"

doc: build-docs

version.texi: $(BASEDIR)/../.hg/dirstate
	@echo Generating $@
	@echo "@c autogenerated from Makefile" > $@
	@echo "@set VERSION $(VERSION)" >> $@
	@echo "@set PACKAGE $(PACKAGE)" >> $@
	@echo "@set DATE $(DATE)" >> $@

functions.texi: $(BASEDIR)/../.hg/dirstate
	./mkfuncdocs.py --src-dir=../inst/ --src-dir=../src/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi

$(PACKAGE).qhc: $(PACKAGE).texi functions.texi version.texi
	# extract html
	SOURCE_DATE_EPOCH=$(HG_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css $(MAKEINFO_HTML_OPTIONS) $(PACKAGE).texi

ifeq ($(QHELPGENERATOR),true)
	$(warning No QHELPGENERATOR ... skipping QT doc build)
else
	# try also create qch file if can
	./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
	$(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp $(PACKAGE).html
endif

$(PACKAGE).info: $(PACKAGE).texi functions.texi version.texi
	$(MAKEINFO) $(PACKAGE).texi

build-docs: $(PACKAGE).qhc  $(PACKAGE).info

clean-docs:
	$(RM) -f $(PACKAGE).html
	$(RM) -f $(PACKAGE).qhc
	$(RM) -f $(PACKAGE).qch
	$(RM) -f $(PACKAGE).info
	$(RM) -f functions.texi
	$(RM) -f version.texi

clean: clean-docs
	-rm -rf $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)
	cd src && $(MAKE) $@

maintainer-clean: clean

=== src/Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+## Copyright (C) 2021-2025 The Octave Project Developers
+
 all: csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct col2num.oct num2col.oct
 
 MKOCTFILE ?= mkoctfile

=== debian/changelog ===
octave-io (2.7.0-3) unstable; urgency=medium

  * Team upload

  * d/watch: Convert to format version 5
  * d/s/lintian-override: Fix Lintian override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Oct 2025 01:46:06 -0300

octave-io (2.7.0-2) unstable; urgency=medium

  * Upload to unstable
  * Drop “Rules-Requires-Root: no”, which is now the default
  * Drop versioned build dependency on dh-octave, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Aug 2025 16:12:49 +0200

octave-io (2.7.0-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 2.7.0
  * d/copyright: reflect upstream changes
  * commons-compress-unversioned.patch, conditional-java.patch: drop patches.
    No longer needed.

  [ Rafael Laboissière ]
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL
  * d/u/metadata: Add upstream repository URL
  * d/u/metadata: Update Bug-Database URL
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

  [ Debian Janitor ]
  * Apply multi-arch hints.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 22 May 2025 14:32:21 +0200

octave-io (2.6.4-3) unstable; urgency=medium

  * Workaround for version mismatch between apache-poi and xmlbeans (#1012016)
    - xmlbeans-versioned.patch: new patch that requires xmlbeans version 3
      (which is not in Debian, so in practice this means that the POI+OOXML
      interface will be disabled, unless xmlbeans 3 is manually installed)
    - disable the xlsx-poi autopkgtest
  * README.Debian: misc improvements
  * Bump Standards-Version to 4.6.2, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Mar 2023 17:46:30 +0100

octave-io (2.6.4-2) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cc-tst
    + d/control: Build-depend on dh-octave >= 1.2.2. In this version
      dh_octave_clean removes the src/*-tst files.
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Update copyright years for debian/* files
  * d/s/lintian-overrides: Add override for source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 06 Dec 2022 11:47:11 -0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.6.0
+               dh-sequence-octave
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
-Homepage: https://octave.sourceforge.io/io/
+Homepage: https://gnu-octave.github.io/packages/io/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-io
 Architecture: any
@@ -25,6 +24,7 @@
             libjopendocument-java,
             libxerces2-java,
             default-jre-headless
+Multi-Arch: same
 Description: input/output data functions for Octave
  This package provides functions to input/output data in different
  formats in Octave, a numerical computation software. It contains

=== debian/tests/control ===
Tests: xls-default, xls-jxl, xls-poi, xlsx-default, xlsx-oct, ods-default, ods-jod, ods-oct, gnumeric-default
Depends: octave-io, default-jre-headless, libjexcelapi-java, libapache-poi-java, unzip, libjopendocument-java
Restrictions: allow-stderr # Needed for xlsx-default and xlsx-poi since move to Java 9, as of 2018-04-03

# NB: xlsx-poi has been disabled, because of #1012016

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/io/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/io-@ANY_VERSION@@ARCHIVE_EXT@

## octave-io 2.7.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-## Copyright 2015-2025 Carnë Draug
-## Copyright 2015-2025 Oliver Heimlich
-## Copyright 2017-2025 Julien Bect <jbect@users.sf.net>
-## Copyright 2017-2025 Olaf Till <i7tiol@t-online.de>
+## Copyright 2015-2026 Carnë Draug
+## Copyright 2015-2026 Oliver Heimlich
+## Copyright 2017-2026 Julien Bect <jbect@users.sf.net>
+## Copyright 2017-2026 Olaf Till <i7tiol@t-online.de>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -140,6 +140,7 @@
                          --eval ' pkg ("load", "$(package)"); '
 
 html_options = --eval 'options = get_html_options ("octave-forge");'
+disableVM    = --eval '__vm_enable__ (0); '
 ## Uncomment this for package documentation.
 # html_options = --eval 'options = get_html_options ("octave-forge");' \
 #                --eval 'options.package_doc = "$(package).texi";'
@@ -147,6 +148,7 @@
 	$(RM) -r "$@";
 	$(run_in_place)                    \
         --eval ' pkg load generate_html; ' \
+        $(disableVM)                       \
 	$(html_options)                    \
         --eval ' generate_package_html ("$(package)", "$@", options); ';
 	$(FIX_PERMISSIONS) "$@";

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## Copyright (C) 2021-2025 The Octave Project Developers
+## Copyright (C) 2021-2026 The Octave Project Developers
 
 all: csvexplode.oct csv2cell.oct csvconcat.oct cell2csv.oct col2num.oct num2col.oct

=== debian/changelog ===
octave-io (2.7.1-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.7.1
  * d/p/xmlbeans-versioned.patch: Refresh for the new upstream version
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 13 Feb 2026 15:53:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-io
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-io.git
 Homepage: https://gnu-octave.github.io/packages/io/
